<app-loading *ngIf="isLoading"></app-loading>
<nz-modal [nzVisible]='showContent' [nzFooter]='null' (nzOnCancel)='doClose()'
          nzTitle="{{'staffManager.label.downloadData'|translate}}" [nzWidth]='nzWidth'
          [nzCentered]='true'>
  <ng-container *nzModalContent style='padding: 0px'>
    <div nz-row [nzGutter]='[30,30]'>
      <mb-button mbButtonType='BORDER' class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='24'
                 (click)='doDownloadTemplate()'>
        <div class='mb__button--content--imp'>
          <div class='content__left'>
            <img src='/assets/icon/button/zip.png' alt=''>
            <span>Download file biểu mẫu</span>
          </div>
          <div class='content__right'><img src='/assets/icon/button/file.png' alt=''></div>
        </div>
      </mb-button>
      <nz-upload nz-col nzXs='24' nzLg='24'
                 nzType='drag'
                 [nzMultiple]='false' [(nzFileList)]='fileList' [nzBeforeUpload]='beforeUpload'
                 [nzRemove]='doRemoveFile'>
        <p class='ant-upload-drag-icon'>
          <img src='assets/icon/staff-manager/import.svg' alt=''>
        </p>
        <p class='ant-upload-text'>{{'common.upload.description'|translate}}</p>
        <p class='ant-upload-hint'>
          {{'common.upload.supportExcel'|translate}}
        </p>
      </nz-upload>
    </div>

    <div nz-row nzXs='24' nzLg='24' [nzGutter]='[10,10]' *ngIf='isExistFileImport'>
      <mb-button mbButtonType='BORDER' mbButtonSize='LARGE' mbButtonText="{{'common.button.cancel'|translate }}"
                 class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                 (click)='doClose()'></mb-button>
      <mb-button mbButtonType='BORDER' mbButtonSize='LARGE' mbButtonBgColor='#141ED2' mbButtonBorderColor='#141ED2'
                 mbButtonTextColor='#fff'
                 [mbIsDisable]='isLoading'
                 mbButtonText="{{'common.upload.upload'|translate }}"
                 class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
                 (click)='doImportFile()'></mb-button>
    </div>
  </ng-container>
</nz-modal>
<nz-modal (nzOnCancel)='doCloseModal()' [nzCentered]='true' [nzVisible]='isModalError'
          nzTitle="{{'common.error.list'|translate}}">
  <div *nzModalContent>
    <nz-table [nzScroll]="{y: '300px' }" [nzData]='errorList' nzBordered='true' nzSize='small' nzShowPagination='false'>
      <thead>
      <tr>
        <th scope="col" nzAlign='center' nzWidth='40px'>#</th>
        <th scope="col" nzWidth='60px'>{{'common.table.row'|translate}}</th>
        <th scope="col" nzWidth='60px'>{{'common.table.column'|translate}}</th>
        <th scope="col">{{'common.error.description'|translate}}</th>
        <th scope="col" nzWidth='100px'>{{'common.error.value'|translate}}</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor='let data of errorList; let i = index'>
        <td nzAlign='center'>{{ i + 1 }}</td>
        <td nzAlign='center'>{{ data?.row }}</td>
        <td nzAlign='center'>{{ data?.columnLabel }}</td>
        <td><span [innerHtml]='data?.description'></span></td>
        <td><span [innerHtml]='data?.content'></span></td>
      </tr>
      </tbody>
    </nz-table>
    <div class='linkDownload' style='margin-top: 10px'>
      <a (click)='doDownloadFile()'>{{'common.error.downloadFile' | translate}}</a>
    </div>
  </div>
  <div *nzModalFooter>
    <mb-button (click)='doCloseModal()' mbPrefixIcon='close-circle'
               mbButtonText="{{'common.button.close'|translate}}" mbButtonAvailableStyle='DANGER'></mb-button>
  </div>
</nz-modal>

